#!/bin/sh
#   Copyright (c) 2011 digitalSTROM.org, Zurich, Switzerland
#
#   Author: Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc>
#
#   This file is part of digitalSTROM Server.
#
#   netinfo.sh is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   netinfo.sh is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this file. If not, see <http://www.gnu.org/licenses/>.

# source common functions
. ./errlib.sh
. ./jsonlib.sh

SSHCONFIG="/etc/default/dropbear"

set_ssh() {
    if [[ -z "$1" ]]; then
        return $ERR_OK
    fi

    NO_START=
    if [[ -f $SSHCONFIG ]]; then
        . $SSHCONFIG
    fi

    if [[ "$NO_START" != "$1" ]]; then
        grep -v "NO_START" "$SSHCONFIG" >/tmp/sshconf.rename
        echo "NO_START=$1" >> /tmp/sshconf.rename
        mv /tmp/sshconf.rename "$SSHCONFIG" 1>&2
    fi

    if [[ -x /etc/init.d/dropbear ]]; then
        /etc/init.d/dropbear restart 1>&2
    fi

    return $ERR_OK
}

echo "Content-Type: application/json"
echo ""

NO_START=

# "$FORM_ssh"

if [[ "$1" == "on" ]]; then 
    NO_START="0"
elif [[ "$1" == "off" ]]; then
    NO_START="1"
fi

set_ssh "$NO_START"
RETCODE="$?"
if [[ "$RETCODE" -ne "$ERR_OK" ]]; then
    exit 1
fi

json_ok
